## Index

### Classes

- LSTMTimeSeries

### Type aliases

- TimeSeriesShapeContext

## Type aliases

### TimeSeriesShapeContext

TimeSeriesShapeContext: { getInputShape: (...args: any[]) => Shape; settings: TensorScriptOptions }

- Defined in src/lstm_time_series.ts:5

#### Type declaration

- ##### getInputShape: (...args: any[]) => Shape

  - - (...args: any[]): Shape

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns Shape

- ##### settings: TensorScriptOptions